@use 'sass:math';

@function rem-calc($size) {
  @return (math.div($size, 16)) * 1rem;
}

// Font settings
$font-family-base:           'Open Sans', sans-serif;
$font-size-base:             rem-calc(18);
$font-size-tiny:             rem-calc(11);
$font-size-small:            rem-calc(14);
$font-size-medium:           rem-calc(28);
$font-size-big:              rem-calc(30);
$font-size-large:            rem-calc(65);
$font-size-cards:            rem-calc(17);
$font-size-filters:          rem-calc(20);
$line-height-base:           1.5;

$font-weight-normal:         400;
$font-weight-medium:         500;
$font-weight-bold:           700;

// Size settings
$gutter-base:                rem-calc(30);
$border-radius:              rem-calc(3);

// Color settings
$text-color-base:            #000;
$text-color-base-hover:      #423f3f;
$text-color-primary:         #a16a5e;
$text-color-secondary:       #fcebd5;
$text-color-tertiary:        #edd5bb;

$background-color-base:      #FCEBD5;
$background-color-primary:   #fcd232;
$background-color-secondary: #ec1010;
$background-color-tertiary:  #232229;
$background-color-quaternary:#444447;
$background-color-quinary:   #eb3b3b;
$background-color-senary:    #8d9fdd;
$background-color-septenary: #74da7c;

